Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRectilinearGridToPolyDataFilter Class Reference

`#include <vtkRectilinearGridToPolyDataFilter.h>`

Inheritance diagram for vtkRectilinearGridToPolyDataFilter:

[legend]
Collaboration diagram for vtkRectilinearGridToPolyDataFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.21

vtkRectilinearGridToPolyDataFilter is a filter whose subclasses take as input rectilinear grid datasets and generate polygonal data on output.

See also:
  vtkRectilinearGridGeometryFilter vtkRectilinearGridOutlineFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (65%)
  - Cedilnik, Andy (15%)
  - Lorensen, Bill (11%)
  - Martin, Ken (7%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkRectilinearGridToPolyDataFilter.h)`
  - .`cxx` (`/Filtering/vtkRectilinearGridToPolyDataFilter.cxx)`

Definition at line 49 of file vtkRectilinearGridToPolyDataFilter.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkRectilinearGrid *input)
vtkRectilinearGrid * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkRectilinearGridToPolyDataFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRectilinearGridToPolyDataFilter ()
| ~vtkRectilinearGridToPolyDataFilter ()

## Member Typedef Documentation

typedef vtkPolyDataSource vtkRectilinearGridToPolyDataFilter::Superclass

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkRectilinearGridGeometryFilter, and vtkRectilinearGridOutlineFilter. Definition at line 52 of file vtkRectilinearGridToPolyDataFilter.h.

## Constructor & Destructor Documentation

vtkRectilinearGridToPolyDataFilter::vtkRectilinearGridToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkRectilinearGridToPolyDataFilter.h.

vtkRectilinearGridToPolyDataFilter::~vtkRectilinearGridToPolyDataFilter | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkRectilinearGridToPolyDataFilter.h.

## Member Function Documentation

virtual const char* vtkRectilinearGridToPolyDataFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkRectilinearGridGeometryFilter, and vtkRectilinearGridOutlineFilter.

int vtkRectilinearGridToPolyDataFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkRectilinearGridGeometryFilter, and vtkRectilinearGridOutlineFilter.

virtual int vtkRectilinearGridToPolyDataFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource. Reimplemented in vtkRectilinearGridGeometryFilter, and vtkRectilinearGridOutlineFilter.

vtkRectilinearGridToPolyDataFilter* vtkRectilinearGridToPolyDataFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource. Reimplemented in vtkRectilinearGridGeometryFilter, and vtkRectilinearGridOutlineFilter.

void vtkRectilinearGridToPolyDataFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource. Reimplemented in vtkRectilinearGridGeometryFilter, and vtkRectilinearGridOutlineFilter.

void vtkRectilinearGridToPolyDataFilter::SetInput | ( | vtkRectilinearGrid * | input | ) |

| Set / get the input Grid or filter.

vtkRectilinearGrid* vtkRectilinearGridToPolyDataFilter::GetInput | ( |  | ) |

| Set / get the input Grid or filter.

The documentation for this class was generated from the following file:

- Filtering/vtkRectilinearGridToPolyDataFilter.h